package web

import (
	"go.etztech.xyz/go-mcm/internal"
	"net/url"
)

func (web *Web) Discord(message string, ping bool) (*internal.Status, error) {
	endpoint := web.endpoint("discord")

	form := url.Values{}
	form.Add("api", web.Token)
	form.Add("message", message)
	if ping {
		form.Add("ping", "True")
	}

	return internal.ResponseStatus(endpoint, form)
}
